// Made with Blockbench 3.5.4
// Exported for Minecraft version 1.15
// Paste this class into your mod and generate all required imports

public static class ModelMechaAutomaton extends EntityModel<Entity> {
	private final ModelRenderer LeftLeg;
	private final ModelRenderer RightLeg;
	private final ModelRenderer Body;
	private final ModelRenderer Arms;
	private final ModelRenderer Head;

	public ModelMechaAutomaton() {
		textureWidth = 16;
		textureHeight = 16;

		LeftLeg = new ModelRenderer(this);
		LeftLeg.setRotationPoint(3.0F, 23.0F, 0.0F);
		LeftLeg.setTextureOffset(6, 4).addBox(-1.0F, 0.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		LeftLeg.setTextureOffset(6, 0).addBox(-1.0F, -1.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		LeftLeg.setTextureOffset(0, 6).addBox(-1.0F, -2.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		LeftLeg.setTextureOffset(3, 3).addBox(-1.0F, 0.0F, 1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		LeftLeg.setTextureOffset(0, 2).addBox(0.0F, 0.0F, 1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		LeftLeg.setTextureOffset(0, 0).addBox(0.0F, 0.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);

		RightLeg = new ModelRenderer(this);
		RightLeg.setRotationPoint(5.0F, 23.0F, 0.0F);
		RightLeg.setTextureOffset(6, 2).addBox(-7.0F, -1.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		RightLeg.setTextureOffset(3, 7).addBox(-7.0F, 0.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		RightLeg.setTextureOffset(6, 6).addBox(-7.0F, -2.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		RightLeg.setTextureOffset(3, 5).addBox(-7.0F, 0.0F, 1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		RightLeg.setTextureOffset(0, 4).addBox(-8.0F, 0.0F, 1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		RightLeg.setTextureOffset(3, 1).addBox(-8.0F, 0.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);

		Body = new ModelRenderer(this);
		Body.setRotationPoint(0.0F, 24.0F, 0.0F);
		Body.setTextureOffset(0, 0).addBox(-2.0F, -4.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		Body.setTextureOffset(0, 0).addBox(-1.0F, -4.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		Body.setTextureOffset(0, 0).addBox(0.0F, -4.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		Body.setTextureOffset(0, 0).addBox(1.0F, -4.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		Body.setTextureOffset(0, 0).addBox(2.0F, -4.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		Body.setTextureOffset(0, 0).addBox(-2.0F, -10.0F, -1.0F, 5.0F, 6.0F, 3.0F, 0.0F, false);

		Arms = new ModelRenderer(this);
		Arms.setRotationPoint(0.0F, 24.0F, 0.0F);
		Arms.setTextureOffset(0, 0).addBox(-3.0F, -9.0F, 0.0F, 1.0F, 4.0F, 1.0F, 0.0F, false);
		Arms.setTextureOffset(0, 0).addBox(3.0F, -9.0F, 0.0F, 1.0F, 4.0F, 1.0F, 0.0F, false);

		Head = new ModelRenderer(this);
		Head.setRotationPoint(0.0F, 24.0F, 0.0F);
		Head.setTextureOffset(0, 0).addBox(-1.0F, -13.0F, 0.0F, 3.0F, 3.0F, 1.0F, 0.0F, false);
	}

	@Override
	public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red,
			float green, float blue, float alpha) {
		LeftLeg.render(matrixStack, buffer, packedLight, packedOverlay);
		RightLeg.render(matrixStack, buffer, packedLight, packedOverlay);
		Body.render(matrixStack, buffer, packedLight, packedOverlay);
		Arms.render(matrixStack, buffer, packedLight, packedOverlay);
		Head.render(matrixStack, buffer, packedLight, packedOverlay);
	}

	public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
		modelRenderer.rotateAngleX = x;
		modelRenderer.rotateAngleY = y;
		modelRenderer.rotateAngleZ = z;
	}

	public void setRotationAngles(float f, float f1, float f2, float f3, float f4, float f5, Entity e) {
		super.setRotationAngles(f, f1, f2, f3, f4, f5, e);
		this.LeftLeg.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
		this.Head.rotateAngleY = f3 / (180F / (float) Math.PI);
		this.Head.rotateAngleX = f4 / (180F / (float) Math.PI);
		this.RightLeg.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
		this.Arms.rotateAngleX = MathHelper.cos(f * 0.6662F + (float) Math.PI) * f1;
	}
}